// pages/ageChange/ageChange.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    type:1,
    active:1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      type: options.type
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  complete(e){
    if (e.detail.errMsg == 'getUserInfo:ok') {
      wx.setStorage({
        key: "userInfo",
        data: e.detail.userInfo
      })
      // getApp().globalData.showDialog = this.data.type
      wx.switchTab({
        url: '../index/index'
      })
      var that = this;
      var config = wx.getStorageSync('config');
      wx: wx.request({
        url: app.url + 'ajax_update_user_age.php',
        data: {
          unionId: config.unionId,
          age: that.data.active
        },
        header: { 'content-type': 'application/json' },
        method: 'GET',
        dataType: 'json',
        success: function (res) {
          console.log(res)
        },
        fail: function (res) { },
        complete: function (res) { },
      })
    } else {
      wx.showToast({
        title: '注册失败',
        icon: 'none',
        duration: 3000,
        mask: true,
        success: function (res) { },
        fail: function (res) { },
        complete: function (res) { },
      })
    }
  },
  threetosix(){
    this.setData({
      active:1
    })
  },
  seven(){
    this.setData({
      active:2
    })
  }
})